Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7620/?format=api
{ "ob_id": 7620, "uuid": "eeed2ade72ed9d77d9ee86e0143189de", "title": "NAMBLEX: Surface Meteorological Measurements from the University of Leeds's Instruments Deployed at the Mace Head Atmospheric Research Facility, Ireland", "abstract": "The North Atlantic Marine Boundary Layer Experiment (NAMBLEX) campaign was conducted at Mace Head in Ireland from 24 July 2002 to 3 September 2002. During this campaign a suite of instruments, including several from the Universities Facility for Atmospheric Measurements (UFAM), were deployed at the Mace Head Atmospheric Research Station. This dataset consists of surface meteorological measurements of wind speed and direction, relative humidity and temperature readings from the University of Leeds's RM Young Anemometer, and wet and dry temperature and RH were measured using the University of Leeds's probe. Data were taken from the top of the meteorological sensor tower 10m above ground, mounted on the University of Leeds's FAGE container.", "keywords": "NAMBLEX, Atmospheric Chemistry, Boundary Layer", "publicationState": "published", "dataPublishedTime": "2007-02-25T05:02:05", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7621/?format=api", "dataPath": "/badc/namblex/data/leeds-metsensor", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 73382, "numberOfFiles": 3, "fileFormat": "Data are NASA-Ames 1001 formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3491/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/508/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23094/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52353/?format=api" ], "dataLineage": "Data were obtained by the Universities Facility for Atmospheric Measurements (UFAM) instruments in July-September 2002. Data provided as is by the NAMBLEX campaign participants to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4950/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7595/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7592/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31773/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31772/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31775/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31776/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31777/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31779/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44989/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/31774/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7622/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }